Get Workflow
curl --request GET \
--url https://api.callaidan.com/workflow/{workflow_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.callaidan.com/workflow/{workflow_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaidan.com/workflow/{workflow_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"triggers": "<string>",
"enrollment_count": "<string>",
"total_enrollment_count": "<string>",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jarvis_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"active": true,
"timezone": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"allowed_windows": null,
"allow_reentry": true,
"stop_on_response": true,
"is_deleted": true,
"trigger": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_type": "ai_call_completed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": "<unknown>",
"config": "<unknown>"
},
"actions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waiting_count": "<string>",
"module_info": "<string>",
"tools_info": "<string>",
"action_type": "send_ai_call",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_action": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 1073741823,
"branch_index": -1,
"node_type": "action",
"config": "<unknown>",
"is_deleted": true
}
]
}Workflows
Get Workflow
Return a single workflow with its triggers, actions, folder, and configuration.
GET
/
workflow
/
{workflow_id}
/
Get Workflow
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Maximum string length:
128Timezone for workflow scheduling (e.g., America/New_York)
Maximum string length:
64Default phone number ID (UUID) for workflow actions
Maximum string length:
36Default email for workflow actions
Maximum string length:
256Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

